LongConsumer (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.util.function, interface: LongConsumer
Keywords: java.util.function.LongConsumer interface

Module java.base
Package java.util.function

# Interface LongConsumer

All Known Subinterfaces:
  `LongStream.Builder`

All Known Implementing Classes:
  `LongSummaryStatistics`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface LongConsumer
Represents an operation that accepts a single `long`-valued argument and returns no result. This is the primitive type specialization of `Consumer` for `long`. Unlike most other functional interfaces, `LongConsumer` is expected to operate via side-effects.

This is a functional interface whose functional method is `accept(long)`.

Since:
  1.8
See Also:
  - `Consumer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(long value)`
  Performs this operation on the given argument.
  `default LongConsumer`
  `andThen(LongConsumer after)`
  Returns a composed `LongConsumer` that performs, in sequence, this operation followed by the `after` operation.

- ## Method Details

  - ### accept

    void accept(long value)
    Performs this operation on the given argument.
    Parameters:
      `value` - the input argument

  - ### andThen

    default LongConsumer andThen(LongConsumer after)
    Returns a composed `LongConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
    Parameters:
      `after` - the operation to perform after this operation
    Returns:
      a composed `LongConsumer` that performs in sequence this operation followed by the `after` operation
    Throws:
      `NullPointerException` - if `after` is null